MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023301Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 16:102012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023301: Comparing variable to itself in ShapeUpgrade_WireDivide.cxx
DescriptionIn line 372

if(revKnots2d->Length()!=revKnots2d->Length()) {

should probably be:

if(revKnots2d->Length()!=theKnots2d->Length()) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021014)
Pawel (developer)
2012-07-17 16:46

Corresponding git branch pushed. Please review.
(0021029)
abv (manager)
2012-07-18 08:15

No remarks, please test
(0021072)
apn (administrator)
2012-07-19 15:51

Dear BugMaster,
The workbenches
KAS:dev:mkv-23301-occt (GIT branch CR23301)
KAS:dev:mkv-23301-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23301-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master dede2e21
Timestamp: 2012-07-17 12:26:22
Author: Pawel
Details ] Diff ]
0023301: Comparing variable to itself in ShapeUpgrade_WireDivide.cxx

Fixing self-comparison.
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 16:10 Pawel New Issue
2012-07-17 16:10 Pawel Assigned To => Pawel
2012-07-17 16:46 Pawel Note Added: 0021014
2012-07-17 16:46 Pawel Assigned To Pawel => bugmaster
2012-07-17 16:46 Pawel Status new => resolved
2012-07-18 08:15 abv Note Added: 0021029
2012-07-18 08:15 abv Status resolved => reviewed
2012-07-18 15:15 mkv Assigned To bugmaster => mkv
2012-07-19 13:58 mkv Assigned To mkv => apn
2012-07-19 15:51 apn Note Added: 0021072
2012-07-19 15:52 apn Test case number => Not needed
2012-07-19 15:52 apn Assigned To apn => bugmaster
2012-07-19 15:52 apn Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master dede2e21
2012-07-23 12:23 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:23 Pawel Status tested => verified
2012-07-23 12:23 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker